using BingoBrain.Core;
using System.Collections.Generic;

namespace BingoBrain
{
    public static class UIBoard
    {
        public static void AutoRegisterBinder()
        {
            FGUI.ACommon.ACommonBinder.BindAll();
            FGUI.ABigImg.ABigImgBinder.BindAll();
            FGUI.JLoading.JLoadingBinder.BindAll();
            FGUI.JRewardPop.JRewardPopBinder.BindAll();
            FGUI.JBingoPlay.JBingoPlayBinder.BindAll();
            FGUI.JMain.JMainBinder.BindAll();
            FGUI.JTask.JTaskBinder.BindAll();
            FGUI.JWheel.JWheelBinder.BindAll();
            FGUI.JSign.JSignBinder.BindAll();
            FGUI.JSettings.JSettingsBinder.BindAll();
            FGUI.JTodo.JTodoBinder.BindAll();
            FGUI.JFx.JFxBinder.BindAll();
            FGUI.JCoin.JCoinBinder.BindAll();
            FGUI.JMall.JMallBinder.BindAll();
            FGUI.JTips.JTipsBinder.BindAll();
            FGUI.JMask.JMaskBinder.BindAll();
            FGUI.JNetIdle.JNetIdleBinder.BindAll();
            FGUI.JPrivacy.JPrivacyBinder.BindAll();
            FGUI.G002_login.G002_loginBinder.BindAll();
        }

        public static void AutoRegisterCommonPackages()
        {
            List<string> commonPackages = new List<string>();

            commonPackages.Add("ACommon");
            commonPackages.Add("ABigImg");

            UI.Instance.RegisterCommonPackages(commonPackages);
        }
    }
}